# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

import os.path
import sys
import importlib

import gdb

pythondir = os.path.normpath('/usr/share/libreoffice/gdb')

if gdb.current_objfile():
    if pythondir not in sys.path:
        sys.path.insert(0, pythondir)

for mod in str.split("vcl"):
    module=importlib.import_module("libreoffice."+mod)
    module.register_pretty_printers(gdb.current_objfile())

try:
    import boost
    boost.register_pretty_printers(gdb)
except:
    pass

# vim:set filetype=python shiftwidth=4 softtabstop=4 expandtab:
